## org.h2.command.ddl
Class DropUser

    java.lang.Object
      org.h2.command.Prepared
          org.h2.command.ddl.DefineCommand
              org.h2.command.ddl.DropUser

    public class DropUser

extends DefineCommand

This class represents the statement DROP USER

Field Summary

Fields inherited from class org.h2.command.Prepared
`create, parameters, prepareAlways, session, sqlStatement`

Constructor Summary
`DropUser(Session session)`

Method Summary
`boolean` `isTransactional()` Check if this command is transactional.
`void` `setIfExists(boolean b)`
`void` `setUserName(java.lang.String userName)`
`int` `update()` Execute the statement.

Methods inherited from class org.h2.command.ddl.DefineCommand
`isReadOnly, queryMeta`

Methods inherited from class org.h2.command.Prepared
`checkCanceled, checkParameters, getCurrentObjectId, getCurrentRowNumber, getObjectId, getParameters, getPlanSQL, getSQL, getSQL, getSQL, isQuery, needRecompile, prepare, query, setCommand, setCurrentRowNumber, setObjectId, setParameterList, setPrepareAlways, setRow, setSession, setSQL, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DropUser

    public DropUser(Session session)

Method Detail

### setIfExists

    public void setIfExists(boolean b)

### setUserName

    public void setUserName(java.lang.String userName)

### update

    public int update()

  Description copied from class: `Prepared`
  Execute the statement.

  Overrides:
    `update` in class `Prepared`
  Returns:
    the update count

### isTransactional

    public boolean isTransactional()

  Description copied from class: `Prepared`
  Check if this command is transactional. If it is not, then it forces the current transaction to commit.

  Overrides:
    `isTransactional` in class `DefineCommand`
  Returns:
    true if it is